# classes/phing/tasks/ext/svn/SvnListTask.php

## \SvnListTask
jump to top

Stores the output of a list command on a workingcopy or repositoryurl in a property.

This stems from the SvnLastRevisionTask.

Extends from
  \SvnBaseTask
see
  \VersionControl_SVN
author
  Anton Stöckl
author
  Michiel Rook <michiel.rook@gmail.com> (SvnLastRevisionTask)
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.svn
since
  2.1.0
version
  $Id: SvnListTask.php 1120 2011-05-30 13:22:37Z mrook $

### Properties

`$forceCompatible= 'true'`
Default value `true` Details

Type

`$limit= 'null'`
Default value `null` Details

Type

`$orderDescending= 'false'`
Default value `false` Details

Type

`$propertyName= 'svn.list'`
Default value `svn.list` Details

Type

### Methods

`getPropertyName( ) :`
Returns the name of the property to use
`main( ) :`
The main entry point
Details

throws

`setForceCompatible( $force ) :`
Sets whether to force compatibility with older SVN versions (< 1.2)
Parameters

Name | Type | Description
--- | --- | ---
$force |  |

`setLimit( $limit ) :`
Sets the max num of tags to display
Parameters

Name | Type | Description
--- | --- | ---
$limit |  |

`setOrderDescending( $orderDescending ) :`
Sets whether to sort tags in descending order
Parameters

Name | Type | Description
--- | --- | ---
$orderDescending |  |

`setPropertyName( $propertyName ) :`
Sets the name of the property to use
Parameters

Name | Type | Description
--- | --- | ---
$propertyName |  |

Documentation was generated by DocBlox 0.13.1.